body {
	background-color: #0B0B0B;
	margin: 0;
	padding: 0;
	overflow: auto !important;
}

/* Hide scrollbar unless actively scrolling */
body::-webkit-scrollbar {
	width: 0.5em;
	height: 0.5em;
}

body::-webkit-scrollbar-thumb {
	background-color: #888;
}

body:hover::-webkit-scrollbar-thumb {
	background-color: #555;
}

img {
	opacity: 1;
	transition: opacity 0.7s;
}

img[data-src] {
	opacity: 0;
}

.container {
	display: flex;
	flex-wrap: wrap;
	margin: 0;
}

.item {
	box-sizing: border-box;
	width: calc(33.333% - 8px);
	height: calc(33.33vh - 8px);
	margin: 4px;
	border: 4px solid #DEDEDE;
	border-radius: 5px;
	overflow: hidden;
}

.item img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	cursor: pointer;
}

.lightbox {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.8);
	visibility: hidden;
	opacity: 0;
	transition: opacity 0.2s ease-in-out;
}

.lightbox__content {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 90%;
	max-height: 90%;
}

.lightbox__image {
	position: relative;
	padding-bottom: 56.25%;
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
}

.lightbox__image img {
    position: relative;
    top: 0;
    left: 0;
    max-width: 90vw;
    max-height: 90vh;
    object-fit: contain;
}

.lightbox__close {
	position: absolute;
	top: 0;
	right: 0;
	padding: 0.5em;
	font-size: 1.5em;
	color: #fff;
	background-color: rgba(0, 0, 0, 0.8);
	border: none;
	cursor: pointer;
}

.splash {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #2B2B2B;
    color: #F6F6F6;
    font-family: sans-serif;
    text-align: center;
    z-index: 9999;
    max-height: 10vh;
}

.splash__title {
    font-size: 4rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

.splash__text {
    font-size: 1.25rem;
    max-width: 80%;
}

.folder-name {
    position: relative;
    left: 2vw;
    bottom: 30vh;
    display: flex;
    font-size: 1.25rem;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    max-width: 85%;
    text-transform: lowercase;
    font-family: monospace;
    background-color: #666666;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    color: transparent;
    text-shadow: rgba(245,245,245,0.5) 1px 1px;
}

/* Disables the selection */
.disableselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none;   /* Chrome/Safari/Opera */
  -khtml-user-select: none;    /* Konqueror */
  -moz-user-select: none;      /* Firefox */
  -ms-user-select: none;       /* Internet Explorer/Edge*/
   user-select: none;          /* Non-prefixed version, currently 
                                  not supported by any browser */
}

/* Disables the drag event 
(mostly used for images) */
.disabledrag{
   -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
   user-drag: none;
}

@media screen and (min-width: 768px) and (max-width: 1023px) { /* Laptop */
	.item {
		width: calc(25% - 8px);
		margin: 4px;
	}

	.item:nth-child(4n+1) {
		clear: left;
	}

	.lightbox__content {
		max-width: 80%;
		max-height: 80%;
	}
    
    body {
        overflow: auto !important;
    }
    
    .splay__text {
        display: none !important;
    }
}

@media screen and (min-width: 481px) and (max-width: 767px) { /* Tablet */
	.item {
		width: calc(33.33% - 8px);
		margin: 4px;
	}

	.item:nth-child(3n+1) {
		clear: left;
	}

	.lightbox__content {
		max-width: 90%;
		max-height: 90%;
	}
    
    .splash__title {
        font-size: 1.5rem;
        font-weight: bold;
        margin-bottom: 1rem;
    }

    .splash__text {
        font-size: 1.5rem;
        max-width: 80%;
    }
        
    body {
        overflow: auto !important;
    }
    
    .splay__text {
        display: none !important;
    }
}

@media screen and (max-width: 480px) { /* Mobile */
	.item {
		width: calc(50% - 8px);
		margin: 4px;
	}

	.item:nth-child(2n+1) {
		clear: left;
	}

	.lightbox__content {
		max-width: 90%;
		max-height: 90%;
	}
    .splash__title {
        font-size: 1.5rem;
        font-weight: bold;
        margin-bottom: 0.25rem;
    }

    .splash__text {
        font-size: 0.75rem;
        max-width: 80%;
        font-weight: bold;
    }
        
    body {
        overflow: auto !important;
    }
}